Returns one conversation that belongs to the authenticated agent.
api.heroui.pro/v1/conversations/{id}Send the request to see the live response from the Agents API.
AgentApiKey An Agent API key with the permission required by the operation.
In: header
The resource identifier.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.heroui.pro/v1/conversations/string"{
"created_at": "2019-08-24T14:15:22Z",
"id": "string",
"object": "conversation",
"source": "embed",
"status": "aborted",
"title": "string",
"updated_at": "2019-08-24T14:15:22Z",
"user_id": "string"
}{
"message": "limit must be an integer between 1 and 100.",
"name": "bad_request"
}{
"message": "The supplied API key is invalid or revoked.",
"name": "unauthorized"
}{
"message": "This API key does not have the required conversations:read permission.",
"name": "insufficient_scope"
}{
"message": "The requested resource was not found.",
"name": "not_found"
}{
"message": "Too many requests. Please try again later.",
"name": "rate_limited"
}{
"message": "Internal server error.",
"name": "internal_server_error"
}{
"message": "The API is temporarily unavailable.",
"name": "service_unavailable"
}List conversations GET
Returns conversations for the authenticated agent, ordered from most recently updated to oldest. Message content is available from List conversation messages.
List conversation messages GET
Returns persisted messages for one conversation, ordered from oldest to newest. The conversation must belong to the authenticated agent.